/**
 * Implements the hash function for the string hash map
 * @file CharArrayHashFunc.h
 * @author Mihai Surdeanu
 */

#ifndef EGSTRA_CHAR_ARRAY_HASH_FUNC_H
#define EGSTRA_CHAR_ARRAY_HASH_FUNC_H

#include <cstdio>

namespace egstra {

typedef struct CharArrayHashFunc
{
  size_t operator()(const char * s) const;
} CharArrayHashFunc;

}

#endif /* EGSTRA_CHAR_ARRAY_HASH_FUNC_H */
